package com.hzya.frame.sysnew.messageManageDetail.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 消息管理明细表(SysMessageManageDetail)实体类
 *
 * @author makejava
 * @since 2023-08-28 16:47:52
 */
public class SysMessageManageDetailEntity extends BaseEntity {
 
  /**  消息主表主键 */
   private String formmainId;
  /**  接收者名称 */
   private String receiveName;
  /**  接收者编码 */
   private String receiveCode;
  /**  接收者应用 */
   private String receiveApp;
  /**  接收者 */
   private String receiveApi;
  /**  数据类型（1、对象 2、数组） */
   private String dataType;
  /** 返回解析类型 */
   private String returnType;
  /**  备注 */
   private String remark;

    private Integer sorts;

    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    public String getReceiveName() {
        return receiveName;
    }

    public void setReceiveName(String receiveName) {
        this.receiveName = receiveName;
    }

    public String getReceiveCode() {
        return receiveCode;
    }

    public void setReceiveCode(String receiveCode) {
        this.receiveCode = receiveCode;
    }

    public String getReceiveApp() {
        return receiveApp;
    }

    public void setReceiveApp(String receiveApp) {
        this.receiveApp = receiveApp;
    }

    public String getReceiveApi() {
        return receiveApi;
    }

    public void setReceiveApi(String receiveApi) {
        this.receiveApi = receiveApi;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }



    public void setSorts(Integer sorts) {
        this.sorts = sorts;
    }

    public String getReturnType() {
        return returnType;
    }

    public void setReturnType(String returnType) {
        this.returnType = returnType;
    }
}

